***

title: create
slug: /reference/typescript/rest/fabric/cxml-webhooks/create
description: Create a new cXML webhook resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Create a new cXML webhook resource.

<EndpointSchemaSnippet endpoint="POST /api/fabric/resources/cxml_webhooks" />

## **Response Example**

<EndpointResponseSnippet endpoint="POST /api/fabric/resources/cxml_webhooks" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com",
});

const result = await client.fabric.cxmlWebhooks.create({
  name: "my-webhook",
  primary_request_url: "https://example.com/cxml",
});
console.log("Created:", result.id);
```